#ifndef PONORKA_H
#define PONORKA_H

#include "objekt.h"

class Ponorka : public Objekt  //zavola si napred aj konstruktora Objektu
{
private:
  int max_torpedo;
  int torpedo;
  int max_navnada;
  int navnada;
  int money;
  double max_obrat; //cas, ktory trva obrat ;neda sa pocas neho strielat torpeda
  double obrat;  //obrat = 0 znamena, ze je normalne ; obrat/max_obrat*180 stupnov znamena, ze kolko stupnov sa uz obratil
  double horedole;
  BITMAP *obrazok2;
  double vx,vy;  //bod kde sa to ma vykreslit
  //0-3 torpeda
  //4 navnada
  //5 runhousekick
  int nabijanie[8];  //klasicke prebijanie je navnada nabijanie 0-3 su torpeda
  int prebi[8];
    
public:   //jeho konkretne funkcie a premenne, ktore nie su rovnake s kazdym s objektu

  Ponorka();
  ~Ponorka();
  void Maxspeed();
  void Ovladanie();
  virtual void Nakresli();
  
  void SetMax_torpedo(int x){max_torpedo = x;}
  void SetTorpedo(int x){torpedo = x;}
  void SetMax_navnada(int x){max_navnada = x;}
  void SetNavnada(int x){navnada = x;}
  void SetMoney(int x){money = x;}
  void SetObrat(double x){obrat = x;}
  void SetMax_obrat(double x){max_obrat = x;}
  void SetHoredole(double x){horedole=x;}
  void SetVx(double x){vx = x;}
  void SetVy(double x){vy = x;}
  void SetNabijanie(int ktore, int x){nabijanie[ktore] = x;}
  void SetPrebi(int ktore, int x){prebi[ktore] = x;}

  void SetObrazok2(BITMAP *bmp){obrazok2 = bmp;}
  BITMAP* GetObrazok2(){return obrazok2;}
  
  int GetMax_torpedo(){return max_torpedo;}
  int GetTorpedo(){return torpedo;}
  int GetMax_navnada(){return max_navnada;}
  int GetNavnada(){return navnada;}
  int GetMoney(){return money;}
  double GetObrat(){return obrat;}
  double GetMax_obrat(){return max_obrat;}   
  double GetHoredole(){return horedole;}
  double GetVx(){return vx;}
  double GetVy(){return vy;}
  int GetNabijanie(int ktore){return nabijanie[ktore];}
  int GetPrebi(int ktore){return prebi[ktore];}
};

#endif


